Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 19039

Description

The translation of command names and descriptions, and of the help, is available for several backends (most notably GRASS). However

in Processing the English version is always used.

History

#1 - 2014-12-11 01:07 AM - Alexander Bruy

- Status changed from Open to Feedback

As algorithm help now part of the User Guide and translated with it, and Processing itself also i18n capable can we close this?

#2 - 2015-05-11 02:23 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

closing for lack of feedback.

#3 - 2015-05-12 12:02 AM - Paolo Cavallini

- Affected QGIS version changed from 2.2.0 to master

- Status changed from Closed to Reopened

- Target version set to Future Release - Lower Priority

- Resolution deleted (fixed/implemented)

Still true in 2.8.2. The issue is not translating the help, but using the one already translated.

#4 - 2015-06-07 04:04 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core

#5 - 2015-10-22 01:53 AM - Harrissou Santanna

Indeed, it'd be nice to fetch if a translated help exists before showing the english one. Now that all the processing interface is translatable, it's weird to have

all the options in a language and the help still in english.

2024-03-20 1/2



#6 - 2015-11-07 02:00 AM - Giovanni Manghi

- Status changed from Reopened to Feedback

This seems to work as expected, at least on master.

#7 - 2015-12-20 09:44 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

closing for lack of feedback, reopen if necessary.

#8 - 2015-12-23 09:35 PM - Paolo Cavallini

- File processing_translation.png added

- Status changed from Closed to Reopened

Still very much true, see attached.

#9 - 2015-12-26 06:07 AM - Giovanni Manghi

- Status changed from Reopened to Feedback

- File grass_gui.png added

- Resolution deleted (worksforme)

I can't find any evidence that the HTML manual pages for GRASS modules are available in languages other than EN. Look at the attached images: even

with GRASS GUI localized the HTML manual pages for modules are presented in EN, while the command line help is translated (or partially translated).

Looking at the rest of Processing and default backends (in master):

    -  seems to me that Processing GUI, backends modules descriptions and parameters are translated/translatable, with SAGA exception(?)

    -  gdal/ogr tools help points to EN pages, the only available as far as I know

    -  qgis/saga/taudem tools help point to qgis user manual, that is localized

    -  otb help point to html files that are only available in EN and not seemingly not translatable

please leave feedback, in a timely manner if possible.

#10 - 2015-12-28 04:58 AM - Paolo Cavallini

- Status changed from Feedback to Closed

- Resolution set to up/downstream

Files

processing_translation.png 65.9 KB 2015-12-23 Paolo Cavallini

grass_gui.png 308 KB 2015-12-26 Giovanni Manghi
